Skip to Content

List your orders

Needs the scope products:read

Your orders, newest first. An order is the batch of products that arrived together, through the API, an import, or your CharpstAR account.

Query Parameters

status?string

Only orders in this status.

Value in"received""in_production""in_review""delivered""cancelled"
limit?integer

Items per page, 1 to 100. Default 100.

Range1 <= value <= 100
cursor?string

The nextCursor of the previous page.

Response Body

OK

application/json
  1. response
orders*array<>
nextCursor*|

Pass it as cursor for the next page. null when there is no more.

Example Request
curl -sS "https://platform.charpstar.co/api/v1/orders?status=in_production" \  -H "Authorization: Bearer $CHARPSTAR_API_KEY"
Example Response
{  "orders": [    {      "id": "4d3c2b1a-0000-4000-8000-000000000011",      "status": "in_production",      "source": "api",      "createdAt": "2026-10-20T09:31:00.000Z",      "counts": {        "received": 0,        "in_production": 3,        "in_review": 1,        "approved": 0,        "delivered": 2,        "cancelled": 0      }    }  ],  "nextCursor": null}